<?php

if ( ! function_exists( 'acf_flexible_figures_2' ) ) {

	# Figures
	function acf_flexible_figures_2 ($input) {
	#	displayVar($input);
		$output  = '';
		$output .= '<!-- acf_flexible_figures_2 -->';
		$content_count = count($input['blocks']);

		if ( ($content_count < $input['columns']) && ($input['columns'] < 7) ) {
			if ( ($content_count < $input['columns']) && ($input['columns'] > 4) ) {
				$input['columns'] = 4;
			} else {
				$input['columns'] = $content_count;
			}
		}

		switch ($input['columns']) {
			case '6':
				$cols = 'col-sm-6 col-md-4 col-lg-2';
				break;
			case '4':
				$cols = 'col-sm-3 col-sm-6';
				break;
			case '3':
				$cols = 'col-sm-4';
				break;
			case '2':
				$cols = 'col-sm-6';
				break;
			default:
				$cols = 'col-sm-12';
		}

		$count = 0;
		foreach ($input['blocks'] as $key => $value) {
			$blocks[$count] = '';
			$blocks[$count] .= '<div class="s3-img-block">';
			if (isset($value['link'])) {
				$blocks[$count] .=     '<a href="' . $value['link'] . '">';
			}
			$blocks[$count] .=         '<img src="' . $value['image'] . '" alt="" class="img-responsive img-expand">';
			$blocks[$count] .=         '<div class="s3-absolute">';
			$blocks[$count] .= 	           '<div class="wrap-table">';
			$blocks[$count] .=                 '<div class="wrap-table-inner">';
			$blocks[$count] .=                     '<div class="s3-p-4">';
			$blocks[$count] .=                         '<h2 class="s3-ts-s text-center">' . $value['text'] . '</h2>';
			$blocks[$count] .=                     '</div>';
			$blocks[$count] .=                 '</div>';
			$blocks[$count] .=             '</div>';
			$blocks[$count] .=         '</div>';
			if (isset($value['link'])) {
				$blocks[$count] .=     '</a>';
			}
			$blocks[$count] .= '</div>';
			$count++;
		}

		$count = 1;

		$output .= '<div class="row">';
		foreach ($blocks as $key => $value) {
			$output .=     '<div class="col-xs-12 ' . $cols . '">';
			$output .=         $value;
			$output .=     '</div>';
			$output .= acf_column_breaker($input['columns'], $count);
			$count++;
		}
		$output .= '</div>';

		$output .= '<!-- /acf_flexible_figures_2 -->';
		$output  = acf_flexible_container($input, $output);
		return $output;
	}

}



