<?php

if ( ! function_exists( 's3_layout_content' ) ) {

	# Content layout: Defaults to a fixed width and a s3-m-10 margin.
	function s3_layout_content() {
		# Content Defaults
		$content = array (
			'content'       => 'fixed',
			'margin_top'    => '10',
			'margin_bottom' => '10',
		);

		# Check for ACF content options
		if (function_exists('get_field')) {
			if ($layout = get_field('main_content_content')) {
				if (is_array($layout)) {
					$output['content'] = $layout[0]['content'];
					$output['margin_top'] = $layout[0]['margin_top'];
					$output['margin_bottom'] = $layout[0]['margin_bottom'];
				} else {
					$output = $content;
				}
			} else {
				# Default in case ACF is not loaded
				$output = $content;
			}
		} else {
			# Default in case ACF is not loaded
			$output = $content;
		}

		return $output;
	}

}



